#This file is licensed under the terms of GNU GPLv2+.
Name:           perl-Proc-SyncExec
Version:        1.01
Release:        2%{?dist}
Summary:        Spawn processes but report exec() errors
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Proc-SyncExec/
Source0:        http://www.cpan.org/authors/id/R/RO/ROSCH/Proc-SyncExec-%{version}.tar.gz
Patch0:         %{name}-1.01-Adjust-test-to-confinded-Fedora-Koji-build-system.patch
BuildArch:      noarch
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module contains functions for synchronized process spawning with full
error return. If the child's exec() call fails the reason for the failure
is reported back to the parent.

%prep
%setup -q -n Proc-SyncExec-%{version}
%patch0 -p1 -b .koji

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.01-2
- Perl mass rebuild

* Tue May 17 2011 Petr Pisar <ppisar@redhat.com> 1.01-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr stuff
- Adjusts tests to accept EPERM instead of ENOENT
